Subject: Re: [ANNOUNCEMENT] openSSH-1.2.2 for Cygwin 1.1.1
From: Corinna Vinschen <[email-masked]>
To: Timothee Besset <[email-masked]>
Cc: [email-masked]
Date: Thu, 18 May 2000 00:55:07 +0200

Timothee Besset wrote:
> [...]
> Anyway, my problem is with ssh .. I have more information:
> I'm using NT4 SP4, if I run a "command" shell and type ssh I get:
> C:\>ssh
> ssh: SSH: no address associated with hostname.
> But if I run a "cmd" shell it works fine.

AFAIK, if you start "command" you get a DOS-like
environment which eg. converts names to uppercase
as it's mentioned by Sergey.

The problem is that `ssh' looks if it's called with
argv[0] = one of "ssh", "rsh", "rlogin", "slogin".
I have changed that so that the same names are recognized
if they have a ".exe" suffix. On the other hand the string
compare is case sensitive. So SSH isn't recognized as one
of the above command names.

What's happening now?
If ssh has a unknown name in argv[0], it's assuming that
argv[0] is the name of the host which should be connected
to
   ->  ssh tries to connect to a host named SSH!

Why don't you call ssh from bash or another real shell???

Corinna

--
Want to unsubscribe from this list?
Send a message to [email-masked]